package WhitelistSupport
{
	function GameConnection::isHost(%this)
	{
		if(%this.bl_id == getNumKeyID() || %this.bl_id == 999999)
			return 1;
		return 0;
	}
	function GameConnection::isWhitelisted(%this)
	{
		for(%i=0;%i<Whitelist_Set.getCount();%i++)
			if(Whitelist_Set.getObject(%i).bl_id == %this.bl_id)
				return 1;
		return 0;
	}
	function GameConnection::autoAdminCheck(%this)
	{
		if(!%this.isWhitelisted())
			if(!%this.isHost())
				%this.delete("You have not been whitelisted to join this server. Please contact the host for information on gaining clearance to join.");

		return parent::autoAdminCheck(%this);
	}

	function findClientNameByBL_ID(%id)
	{
		if(isObject(findClientByBL_ID(%id)))
			return findClientByBL_ID(%id).name;
		else
			return "";
	}
};
activatePackage(WhitelistSupport);